Bug 475412 - liveusb-creator crashes with error - Qtcore
liveusb-creator crashes with error - Qtcore
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-08 23:48 EST by Joshua Wulf
Modified: 2014-10-19 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-07 18:54:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2008-12-08 23:48:20 EST
Description of problem:

When trying to create a liveusb key liveusb-creator crashes with the following message:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 367, in begin
  File "/usr/lib/python2.5/site-packages/liveusb/creator.py", line 468, in get_proxies
    kioslaverc = QtCore.QDir.homePath() + '/.kde/share/config/kioslaverc'
NameError: global name 'QtCore' is not defined

Version-Release number of selected component (if applicable):

How reproducible: 100%

Steps to Reproduce:
1. Start liveusb-creator from GUI or command line
2. Try to make a liveusb key for Fedora 10 (beta) via download

Actual results: All inputs on GUI go grey, error appears on console if started via commandline

Expected results: Create a live usb key

Additional info:
Comment 1 Joshua Wulf 2009-01-12 20:38:04 EST
abaizid@free.fr writes me:


I found bug 475412 on https://bugzilla.redhat.com/.
I could not create a usable account.

Line 37 of /usr/lib/python2.5/site-packages/liveusb/creator.py, at the top,
I have added:
from PyQt4 import QtCore

And now I works.

I am not a Qt, a Python expert or even a Fedora user.

I just wanted to test liveusb-creator.

Sorry, bothering you if you have nothing to do with bug 475412.

I don't have a usb stick here right now, but I'll see if I can get one and try this out.
Comment 2 Luke Macken 2009-02-09 12:07:45 EST
Please try and reproduce this with the latest version of the liveusb-creator.

The latest version has this::

            from PyQt4 import QtCore
        except ImportError:
            self.log.warning("PyQt4 module not installed; skipping KDE "
                             "proxy detection")
        kioslaverc = QtCore.QDir.homePath() + '/.kde/share/config/kioslaverc'

Which should mitigate that problem.
Comment 3 Luke Macken 2009-03-07 18:54:06 EST
This issue should be resolved with the latest version of the liveusb-creator.  Please re-open this bug if that is not the case.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.